Subject: [Nel] Maya plugin issues

From: robofly <[email-masked]>
Date: Sun, 14 Jan 2001 20:26:32 -0800

Hi,

I've been looking into writing a Maya plugin.
What I understand so far is the following,
please correct me if I'm wrong.

-There are no specific fileformats for NeL,
only different serialized objects like
CZone, CShape(Stream), CMesh and others.

-We would probably use the Maya API and
write a C++ plugin for Maya instead of
a MEL script.

-I will have to convert the NURBS based
Maya curves into 3DSMax based Bezier
Pathces.

This is really exciting. Now we can
really integrate functions in Maya
for bump-mapping and things like that.
And this will be a plugin that creates
ready to use NeL objects instead of
some kind of an endless conversion
madness :)

If anybody has some code already written
for either the Maya or NeL part of such
a plugin, please let me know.  Our plugin
will will be released under the GPL.

Warm regards,
Róbert